USN-6365-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6365-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6365-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6365-1
Related
Published
2023-09-13T14:54:49.259732Z
Modified
2023-09-13T14:54:49.259732Z
Summary
open-vm-tools vulnerability
Details

It was discovered that Open VM Tools incorrectly handled SAML tokens. A remote attacker could possibly use this issue to bypass SAML token signature verification and perform VMware Tools Guest Operations.

References

Affected packages

Ubuntu:20.04:LTS / open-vm-tools

Package

Name
open-vm-tools

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:11.3.0-2ubuntu0~ubuntu20.04.6

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "open-vm-tools-dev": "2:11.3.0-2ubuntu0~ubuntu20.04.6",
            "open-vm-tools": "2:11.3.0-2ubuntu0~ubuntu20.04.6",
            "open-vm-tools-sdmp": "2:11.3.0-2ubuntu0~ubuntu20.04.6",
            "open-vm-tools-desktop": "2:11.3.0-2ubuntu0~ubuntu20.04.6"
        }
    ]
}

Ubuntu:22.04:LTS / open-vm-tools

Package

Name
open-vm-tools

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:12.1.5-3~ubuntu0.22.04.3

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "open-vm-tools-salt-minion": "2:12.1.5-3~ubuntu0.22.04.3",
            "open-vm-tools-dev": "2:12.1.5-3~ubuntu0.22.04.3",
            "open-vm-tools": "2:12.1.5-3~ubuntu0.22.04.3",
            "open-vm-tools-sdmp": "2:12.1.5-3~ubuntu0.22.04.3",
            "open-vm-tools-containerinfo": "2:12.1.5-3~ubuntu0.22.04.3",
            "open-vm-tools-desktop": "2:12.1.5-3~ubuntu0.22.04.3"
        }
    ]
}